--- ./bgpd/rde_filter.c.dist	Wed Jan 10 08:56:49 2007
+++ ./bgpd/rde_filter.c	Tue Jan  9 20:06:18 2007
@@ -250,7 +250,7 @@
 
 	if (asp != NULL && f->match.as.type != AS_NONE)
 		if (aspath_match(asp->aspath, f->match.as.type,
-		    f->match.as.as) == 0)
+				 f->match.as.as, 4) == 0)
 			return (0);
 
 	if (asp != NULL && f->match.community.as != 0) {
